Bug 533759 - Nexuiz has major graphics glitch
Summary: Nexuiz has major graphics glitch
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_GM45
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-09 00:26 UTC by Howard Ning
Modified: 2010-10-24 19:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-24 19:00:20 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log (58.63 KB, text/plain)
2009-11-09 00:26 UTC, Howard Ning
no flags Details
This is normal one on Fedora 11 (186.56 KB, image/jpeg)
2009-11-09 00:28 UTC, Howard Ning
no flags Details
Glitch one, you part of the floor disappear and the weapon disappear too (147.23 KB, image/jpeg)
2009-11-09 00:29 UTC, Howard Ning
no flags Details
We cannot see the enemy and their weapons too, But we can see fireballs. (134.95 KB, image/jpeg)
2009-11-09 00:30 UTC, Howard Ning
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 24471 None None None Never

Description Howard Ning 2009-11-09 00:26:59 UTC
Created attachment 368099 [details]
Xorg.0.log

Description of problem:
I have had a fresh Fedora 12 install. But I have found this nasty problem.
The nexuiz 2.5.2 has major graphics glitch in F12. Many other versions has the same problem. All versions works fine on Fedora 11 (With mesa 7.6-1 and latest kernel or mesa 7.5-1x).
My graphics card is:
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 07)
It is intel GMA 4500 MHD on Thinkpad X200s.


Version-Release number of selected component (if applicable):
mesa-libGLU-devel-7.6-0.13.fc12.x86_64
mesa-libGLU-7.6-0.13.fc12.x86_64
mesa-dri-drivers-7.6-0.13.fc12.x86_64
mesa-libGL-devel-7.6-0.13.fc12.x86_64
mesa-libGL-7.6-0.13.fc12.x86_64



How reproducible:
Run nexuiz 2.5.2 from their website or other RPM version or SVN version.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Major graphics in nexuiz

Expected results:
Run fine

Additional info:

Comment 1 Howard Ning 2009-11-09 00:28:01 UTC
Created attachment 368100 [details]
This is normal one on Fedora 11

Comment 2 Howard Ning 2009-11-09 00:29:19 UTC
Created attachment 368101 [details]
Glitch one, you part of the floor disappear and the weapon disappear too

Comment 3 Howard Ning 2009-11-09 00:30:47 UTC
Created attachment 368102 [details]
We cannot see the enemy and their weapons too, But we can see fireballs.

Comment 4 Howard Ning 2009-11-12 14:16:43 UTC
The 7.6-14 mesa apparently fixes this problem. Also the lxdream will not blink. But this update cause some serious glxgears performance issue, it drops from about 1000 to ~450. I build one from Koji and it works fine. I think 7.6-14 update should be pushed to update-testing for more tests.

Comment 5 Howard Ning 2009-11-12 14:25:46 UTC
But the 7.6-14 update breaks the Compiz, which is also not good. I hope there will be a even newer mesa.

Comment 6 Howard Ning 2009-11-12 14:27:05 UTC
Compiz error with 7.6-14
$ compiz --replace
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format
miptree doesn't match image
Floating point exception (core dumped)

Comment 7 Adam Williamson 2009-11-26 17:04:12 UTC
There's an upstream bug for this.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Adam Williamson 2009-11-26 17:20:09 UTC
whoops, wrong upstream bug link.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Howard Ning 2009-12-05 00:47:49 UTC
I have tried the upstream 7.7 rc1 release here ftp://freedesktop.org/pub/mesa/7.7/ , it resolve all the issue mentioned: nexuiz run normal, ut2004 run normal and compiz run normal too!
I have built my own RPMs using modified spec file and it works fine.
I hope developer will rebase to rc 1 to solve this issue.


Note You need to log in before you can comment on or make changes to this bug.